export const listData2 = [
  {
    title: '管理范围',
    list: [
      {
        name: 'FSU',
        value: '20台',
      },
      {
        name: '监测设备',
        value: '81台',
      },
      {
        name: '混缆',
        value: '142根',
      },
    ]
  },
  {
    title: '基础信息',
    list: [
      {
        name: '站点编号',
        value: '29',
      },
      {
        name: '站名',
        value: 'Red Hat EnterpiseLin...',
      },
      {
        name: '站点地址',
        value: 'K556+614',
      },
      {
        name: '所在铁路线',
        value: '南昆客运专线',
      },
      {
        name: '站点所在局',
        value: '昆明铁路局.',
      },
      {
        name: '站点所在段号',
        value: '通信段',
      },
      {
        name: '站点所在铁路公里标',
        value: '192.168.1.110',
      },
      {
        name: '站点经度',
        value: 'Red Hat EnterpiseLin...',
      },
      {
        name: '站点维度',
        value: '192.168.1.110',
      },
      {
        name: '站点监控时间',
        value: 'Red Hat EnterpiseLin...',
      },
      {
        name: '漏缆个数',
        value: '192.168.1.110',
      },
      {
        name: '天馈线个数',
        value: 'Red Hat EnterpiseLin...',
      },
      {
        name: '站点其他信息',
        value: '192.168.1.110',
      },
    ]
  },
  {
    title: '当前状态',
    list: [
      {
        name: '设备状态',
        value: '正常',
      },
      {
        name: '漏缆状态',
        value: '正常',
      }
    ]
  },
]

export function formInit1(data = {}) {
  return {
    deviceStatus: null,
    baseInfo: {
      id: null,
      name: "",
      startPointName: "",
      endPointName: "",
      totalLong: null,
    },
    type2: 0,
    type3: 0,
    type4: 0,
    type5: 0,
    operateSystem: null,
    ...data
  }
}
export function formInit2(data = {}) {
  return {
    deviceStatus: null,
    baseInfo: {
      createdBy: "",
      lastModifiedBy: null,
      creationTime: "",
      lastModifiedTime: null,
      id: null,
      siteCode: "",
      siteName: "",
      siteAddress: "",
      parentId: 0,
      siteArea: "",
      siteSectionCode: "",
      siteKmSign: "",
      siteLongitude: "",
      siteLatitude: "",
      siteOtherMessage: "",
      wayId: 4,
    },
    ...data
  }
}
export function formInit3(data = {}) {
  return {
    deviceStatus: null,
    baseInfo: {
      fsuCode: "212",
      fsuPort: 10,
      equipName: "FSU4测试",
      parentId: 17,
      ip: "151511",
      equipFactory: "测试",
      backupModeName: null,
      connectModeName: "整机备份",
      equipTypeName: null,
      equipSubTypeName: "以太网",
      softVersion: "8451",
      equipSerialNumber: "4651",
      kmSign: "46511",
    },
    ...data
  }
}
export function formInit4(data = {}) {
  return {
    deviceStatus: null,
    baseInfo: {
      equipCode: "001",
      equipName: 监测1,
      equipFactory: "厂商001",
      equipTypeName: null,
      equipModeName: null,
      equipSerialNumber: "001",
      kmSign: "001",
      installDate: "2022-02-24 12:25:24",
      repairDate: '2022-02-24 12:25:24',
    },
    controlLimit: [
      {
        "sum": 1,
        "type": "5"
      }
    ],
    ...data
  }
}

let formFuncData = {
  1: formInit1,
  2: formInit2,
  3: formInit3,
  4: formInit4,
};

export function formInit(type) {
  return formFuncData[type];
}